%define _name   xviewer
Name:           xviewer-plugins
Version:        1.0.2
Release:        %mkrel 1
# FIXME: Add postr BuildRequires when we have a package.
Summary:        A collection of plugins for xviewer
License:        GPL-2.0+
Group:          Graphics/Viewers
Url:            https://github.com/linuxmint/xviewer-plugins
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        xviewer-plugins.txt
BuildRequires:  gnome-common
BuildRequires:  python3 >= 3.2
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.9.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.1.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.8
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgdata)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(xviewer)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  postr
Requires:       %{_name}
Suggests:       %{_name}-plugin-exif-display
Suggests:       %{_name}-plugin-exif-export-to-folder
Suggests:       %{_name}-plugin-exif-fit-to-width
Suggests:       %{_name}-plugin-exif-fullscreenbg
Suggests:       %{_name}-plugin-exif-hide-titlebar
Suggests:       %{_name}-plugin-exif-light-theme
Suggests:       %{_name}-plugin-exif-map
Suggests:       %{_name}-plugin-exif-postasa
Suggests:       %{_name}-plugin-exif-pythonconsole
Suggests:       %{_name}-plugin-exif-send-by-mail
Suggests:       %{_name}-plugin-exif-slideshowshuffle
Enhances:       %{_name}


%description
This package contains plugins for additional features in xviewer.

%package -n %{name}-data
Summary:        Common data for xviewer-plugins
Group:          Graphics/Viewers
Requires:       %{_name}
BuildArch:      noarch

%description -n %{name}-data
Common data required by all xviewer plugins

%package -n %{_name}-plugin-exif-display
Summary:        Xviewer exif-display plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/exif-display.plugin

%description -n %{_name}-plugin-exif-display
xviewer exif display plugin

%package -n %{_name}-plugin-export-to-folder
Summary:        Xviewer export to directory plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/export-to-folder.plugin

%description -n %{_name}-plugin-export-to-folder
xviewer export to directory plugin

%package -n %{_name}-plugin-fit-to-width
Summary:        Xviewer fit to width plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/fit-to-width.plugin

%description -n %{_name}-plugin-fit-to-width
xviewer fit to width plugin

%package -n %{_name}-plugin-fullscreenbg
Summary:        Xviewer fullscreenbg plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/fullscreenbg.plugin

%description -n %{_name}-plugin-fullscreenbg
xviewer Fullscreen Background plugin

%package -n %{_name}-plugin-hide-titlebar
Summary:        Xviewer hide-titlebar plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/hide-titlebar.plugin

%description -n %{_name}-plugin-hide-titlebar
xviewer hide titlebar plugin

%package -n %{_name}-plugin-light-theme
Summary:        Xviewer light-theme plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/light-theme.plugin

%description -n %{_name}-plugin-light-theme
xviewer Light Theme plugin

%package -n %{_name}-plugin-map
Summary:        Xviewer map plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/map.plugin

%description -n %{_name}-plugin-map
xviewer map plugin

%package -n %{_name}-plugin-postasa
Summary:        Xviewer postasa plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/postasa.plugin

%description -n %{_name}-plugin-postasa
xviewer postasa plugin.

%package -n %{_name}-plugin-pythonconsole
Summary:        Xviewer pythonconsole plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/pythonconsole.plugin

%description -n %{_name}-plugin-pythonconsole
xviewer python console plugin

%package -n %{_name}-plugin-send-by-mail
Summary:        Xviewer send-by-mail plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/send-by-mail.plugin

%description -n %{_name}-plugin-send-by-mail
xviewer Send by Mail plugin

%package -n %{_name}-plugin-slideshowshuffle
Summary:        Xviewer slideshowshuffle plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/slideshowshuffle.plugin

%description -n %{_name}-plugin-slideshowshuffle
xviewer slideshowshuffle plugin

%package -n %{_name}-plugin-postr
Summary:        Xviewer postr plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/postr.plugin

%description -n %{_name}-plugin-postr
xviewer postr plugin

%lang_package

%prep
%setup -q
cp -f %{SOURCE1} .

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x \
  --with-plugins=all \
  --enable-python
%make

%install
%make_install
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -delete -print

%files -f %{name}.lang
%doc %{_name}-plugins.txt

%files -n %{name}-data
%doc COPYING
%dir %{_datadir}/%{_name}/plugins/

%files -n %{_name}-plugin-exif-display
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-exif-display.metainfo.xml
%{_libdir}/%{_name}/plugins/exif-display.plugin
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.exif-display.gschema.xml
%{_libdir}/%{_name}/plugins/libexif-display.so

%files -n %{_name}-plugin-export-to-folder
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-export-to-folder.metainfo.xml
%{_libdir}/%{_name}/plugins/export-to-folder.plugin
%{_datadir}/%{_name}/plugins/export-to-folder/
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.export-to-folder.gschema.xml
%{_libdir}/%{_name}/plugins/export-to-folder.py
%{_libdir}/%{_name}/plugins/export-to-folder.py*
%dir %{_libdir}/%{_name}/plugins/__pycache__/
%{_libdir}/%{_name}/plugins/__pycache__/*

%files -n %{_name}-plugin-fit-to-width
%{_libdir}/%{_name}/plugins/fit-to-width.plugin
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-fit-to-width.metainfo.xml
%{_libdir}/%{_name}/plugins/libfit-to-width.so

%files -n %{_name}-plugin-fullscreenbg
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-fullscreenbg.metainfo.xml
%{_libdir}/%{_name}/plugins/fullscreenbg.plugin
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.fullscreenbg.gschema.xml
%{_datadir}/%{_name}/plugins/fullscreenbg/
%{_libdir}/%{_name}/plugins/fullscreenbg.py
%{_libdir}/%{_name}/plugins/fullscreenbg.py*
%dir %{_libdir}/%{_name}/plugins/__pycache__/
%{_libdir}/%{_name}/plugins/__pycache__/*

%files -n %{_name}-plugin-hide-titlebar
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-hide-titlebar.metainfo.xml
%{_libdir}/%{_name}/plugins/hide-titlebar.plugin
%{_libdir}/%{_name}/plugins/libhide-titlebar.so

%files -n %{_name}-plugin-light-theme
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-light-theme.metainfo.xml
%{_libdir}/%{_name}/plugins/light-theme.plugin
%{_libdir}/%{_name}/plugins/liblight-theme.so

%files -n %{_name}-plugin-map
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-map.metainfo.xml
%{_libdir}/%{_name}/plugins/map.plugin
%{_libdir}/%{_name}/plugins/libmap.so

%files -n %{_name}-plugin-postasa
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-postasa.metainfo.xml
%{_libdir}/%{_name}/plugins/postasa.plugin
%{_libdir}/%{_name}/plugins/libpostasa.so

%files -n %{_name}-plugin-pythonconsole
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-pythonconsole.metainfo.xml
%{_libdir}/%{_name}/plugins/pythonconsole.plugin
%{_libdir}/%{_name}/plugins/pythonconsole/
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.pythonconsole.gschema.xml
%{_datadir}/%{_name}/plugins/pythonconsole/

%files -n %{_name}-plugin-send-by-mail
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-send-by-mail.metainfo.xml
%{_libdir}/%{_name}/plugins/send-by-mail.plugin
%{_libdir}/%{_name}/plugins/libsend-by-mail.so

%files -n %{_name}-plugin-slideshowshuffle
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-slideshowshuffle.metainfo.xml
%{_libdir}/%{_name}/plugins/slideshowshuffle.plugin
%{_libdir}/%{_name}/plugins/slideshowshuffle.py
%{_libdir}/%{_name}/plugins/slideshowshuffle.py*
%dir %{_libdir}/%{_name}/plugins/__pycache__/
%{_libdir}/%{_name}/plugins/__pycache__/*

%files -n %{_name}-plugin-postr
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{_name}-postr.metainfo.xml
%{_libdir}/%{_name}/plugins/postr.plugin
%{_libdir}/%{_name}/plugins/libpostr.so



%changelog
* Sat Jun 25 2016 joequant <joequant> 1.0.2-1.mga6
+ Revision: 1037610
- imported package xviewer-plugins

